de.dhbwstuttgart.syntaxtree.statement

## Class NewArray

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.statement.Statement
    - - de.dhbwstuttgart.syntaxtree.statement.ExprStmt
      - - de.dhbwstuttgart.syntaxtree.statement.Expr
        - - de.dhbwstuttgart.syntaxtree.statement.NewArray

All Implemented Interfaces:
  IItemWithOffset, Typeable

    public class NewArray
    extends Expr

### Field Summary

Fields
`Menge<Expr>` `expr`
`protected static Logger` `parserlog`
`private Type` `type`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.Expr

`usedid`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.ExprStmt

`inferencelog`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

`offset`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`parent`

### Constructor Summary

Constructors
Constructor and Description
`NewArray(int offset, int variableLength)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `get_codegen_Array_Type()`
`java.lang.String` `get_Name()`
`Menge<SyntaxTreeNode>` `getChildren()`
`Type` `getType()` Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle
`JavaCodeResult` `printJavaCode(ResultSet resultSet)`
`void` `setType(Type type)` Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle
`ConstraintsSet` `TYPEExpr(TypeAssumptions assumptions)`
`void` `wandleRefTypeAttributes2GenericAttributes(Menge<Type> paralist, Menge<GenericTypeVar> genericMethodParameters)`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.Expr

`get_Name_Menge, get_Type_Menge, get_UsedId, set_Type, set_UsedId, TYPEStmt`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.ExprStmt

`getTypeLineNumber, getTypeName`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

`getDescription, getOffset, getReturnType, getTypeInformation, getVariableLength, setReturnType`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`addTypeInsertPoints, equals, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, parserPostProcessing, seesType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### type

    private Type type

#### expr

    public Menge<Expr> expr

#### parserlog

    protected static Logger parserlog

### Constructor Detail

#### NewArray

    public NewArray(int offset,
                    int variableLength)

### Method Detail

#### getType

    public Type getType()

Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle

Specified by:
  `getType` in interface `Typeable`
Overrides:
  `getType` in class `Statement`
Returns:
  Returns the type.

#### setType

    public void setType(Type type)

Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle

Specified by:
  `setType` in interface `Typeable`
Overrides:
  `setType` in class `Statement`
Parameters:
  `type` - The type to set.

#### get_Name

    public java.lang.String get_Name()

Specified by:
  `get_Name` in class `Expr`

#### get_codegen_Array_Type

    public int get_codegen_Array_Type()
                               throws JVMCodeException

Throws:
  `JVMCodeException`

#### wandleRefTypeAttributes2GenericAttributes

    public void wandleRefTypeAttributes2GenericAttributes(Menge<Type> paralist,
                                                          Menge<GenericTypeVar> genericMethodParameters)

Specified by:
  `wandleRefTypeAttributes2GenericAttributes` in class `Statement`

#### TYPEExpr

    public ConstraintsSet TYPEExpr(TypeAssumptions assumptions)

Specified by:
  `TYPEExpr` in class `Expr`

#### printJavaCode

    public JavaCodeResult printJavaCode(ResultSet resultSet)

Specified by:
  `printJavaCode` in class `Statement`

#### getChildren

    public Menge<SyntaxTreeNode> getChildren()

Specified by:
  `getChildren` in class `SyntaxTreeNode`